commit:     94c4aab87d2889f39dedec7db1b1a947e5e773d2
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 23 02:39:11 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Nov 23 02:41:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94c4aab8

sci-mathematics/nauty: new upstream version 2.7.3.

In principle a straightforward update, except that we need to use a
whole new set of re-rolled patches from Debian and Fedora. Other than
that, what's new:

  * EAPI=8.
  * Added missing sys-apps/help2man to BDEPEND.
  * Disabled popcnt unconditionally for clang support.
  * Can now install the example programs with USE=examples.
  * The unused USE=test flag was dropped.

Closes: https://bugs.gentoo.org/751604
Closes: https://bugs.gentoo.org/732020
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-mathematics/nauty/Manifest           |  3 ++
 sci-mathematics/nauty/nauty-2.7.3.ebuild | 72 ++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/sci-mathematics/nauty/Manifest b/sci-mathematics/nauty/Manifest
index 24bf93bcc2bf..4e9357727d75 100644
--- a/sci-mathematics/nauty/Manifest
+++ b/sci-mathematics/nauty/Manifest
@@ -1,3 +1,6 @@
+DIST nauty-includes.patch 2530 BLAKE2B 
8789bc2f65b89aa3bbf27e517f1c56340f9bde089ef54aa28757c66c3954b5c54e8a09b6989ad8d57098970240dd1838baa0003766fe10c7f6c32041abf461e3
 SHA512 
d11f530fecb86edc9e95f0b4d91240778047c0e84d6259c80490358baf0a3eeaa112acfe1fcdb594da6c6e17855f5e21cb75c88446b8d6d9e96402be0e5e6af2
 DIST nauty-popcnt.patch 56034 BLAKE2B 
838858a0decf9323217f6b8d7b200b0158db9a02efd278a5d3cf7392ac2201e901b36b963f3f30ca6070fd0ddfa70577a442b795b09fec0d457d33649c6e93c6
 SHA512 
4931440b6178cb668997539ac2991f0d04758b8750668d4477cb8a456640640c5bb71c2858e423a4ad812e3401151834366e04693bf9a5ecc5ccc211d2e4229c
 DIST nauty26r7.tar.gz 1660659 BLAKE2B 
d1d6774dd65cbdb906727324b5008bb962d54d16f99afe68f643f62ab2e7fe297a7cb4ef59b5f50c72c7e59fa9ff8ef2c82f4a77764c7f076b90e8171c7f1370
 SHA512 
60a724264b43b48338c17240c3cf7156f408267f1b2df995ea7b5ab9fa48852cb11057e83178a364ca028d80dc9124ca9b38cdac34e150a995475140d07c8af6
+DIST nauty27r3.tar.gz 1721200 BLAKE2B 
2071f241dc531a056c678be0ec40497421440f2d5f1796ba20c1257feff426a452df592912faadca08010b29afbbc8cc0552c0517c168af3de9f3334b60d7f18
 SHA512 
8d6d92de8d348d3874677a55773088f4ff5b9a45fd9ed3802c9b1590072f5861946ac1d21892f4b383a9e36f6c9ac08270d021429cf36da3e5038e6a38d9fb6c
 DIST nauty_2.6r7+ds-1.debian.tar.xz 30328 BLAKE2B 
009d64aa2042f814e55238ff83bde4d205925922c13a46213b933ec0f6364ed9a86aeabc7b4c22fdb717bd3ee7efdf794f3f2637cd08d7921e61cee99e73cf9a
 SHA512 
fadde6a767e43048980842415207613ffeaa38d021fbf6a3f26a4bbe6877a92ddf5950094de517edd0f924deeacc8dec1d6a7334123c2a87d15befcc3876bc63
+DIST nauty_2.7r3+ds-1.debian.tar.xz 45520 BLAKE2B 
5078ab84d1fcdbddc0f7442ebed57fb63551701295615b99f2833c300168dd7f71205fa3cc2e9ea977f52e389b67883b68e7d5d39e1698c6040913e4571fa4f9
 SHA512 
8618c78a7c6f1d579cb20048fcf55fb45b69d8d1cebd7f2c9aee664768ab78f0ab1930863c8475a153c9ac9f4692cf6e43f96d01c4a219eae1f23bb61cb50407

diff --git a/sci-mathematics/nauty/nauty-2.7.3.ebuild 
b/sci-mathematics/nauty/nauty-2.7.3.ebuild
new file mode 100644
index 000000000000..a0663b4f959d
--- /dev/null
+++ b/sci-mathematics/nauty/nauty-2.7.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_PV1=$(ver_rs 2 'r')
+MY_PV=$(ver_rs 1 '' $(ver_rs 2 'r'))
+DEBIAN_PATCH_VERSION=1
+
+DESCRIPTION="Computing automorphism groups of graphs and digraphs"
+HOMEPAGE="https://pallini.di.uniroma1.it/";
+
+SRC_URI="https://pallini.di.uniroma1.it/${PN}${MY_PV}.tar.gz
+       
mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${MY_PV1}+ds-${DEBIAN_PATCH_VERSION}.debian.tar.xz
+       https://src.fedoraproject.org/rpms/nauty/raw/f35/f/nauty-includes.patch";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+BDEPEND="sys-apps/help2man"
+DEPEND="dev-libs/gmp:0
+       sys-libs/zlib
+       sci-mathematics/cliquer"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}${MY_PV}"
+
+DOCS=( schreier.txt formats.txt changes24-27.txt )
+
+PATCHES=(
+       "${WORKDIR}"/debian/patches/upstream-fix-gt_numorbits.patch
+       "${WORKDIR}"/debian/patches/upstream-C2help2man.patch
+       "${WORKDIR}"/debian/patches/upstream-autotoolization.patch
+       "${DISTDIR}"/nauty-includes.patch
+       "${WORKDIR}"/debian/patches/unbundle-cliquer.patch
+)
+
+src_prepare() {
+       default
+       rm makefile || die
+
+       # The debian patch looks for <cliquer.h>, but the autotools-form of
+       # cliquer installs that header as <cliquer/cliquer.h>.
+       sed -e 's~<cliquer\.h>~<cliquer/cliquer\.h>~' -i nautycliquer.h || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # Fedora has a patch to enable popcnt at runtime on CPUs that support 
it,
+       # but their patch isn't applying cleanly. What's worse, the patch 
doesn't
+       # support clang (bug 732020).
+       econf --disable-static \
+                 --disable-popcnt \
+                 --enable-tls \
+                 --enable-generic
+}
+
+src_install() {
+       default
+
+       if use examples; then
+               docinto examples
+               dodoc nautyex*.c
+       fi
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to